## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DirectoryEnumeratorFunctor Template Struct Reference

`#include <DirectoryEnumerator.hpp>`

Inheritance diagram for DirectoryEnumeratorFunctor

Collaboration diagram for DirectoryEnumeratorFunctor:

List of all members.

## Public Types

- typedef std::unary_function<
  StringType, CollectionType> BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::argument_type argument_type

## Public Methods

- DirectoryEnumeratorFunctor (bool fIncludeSelfAndParent = false)
- void operator() ( const argument_type& theFullSearchSpec, CollectionType& theCollection) const
- result_type operator() (const argument_type& theFullSearchSpec) const
- void operator() ( const argument_type& theDirectory, const argument_type& theSearchSpec, CollectionType& theCollection) const
- result_type operator() ( const argument_type& theDirectory, const argument_type& theSearchSpec) const

## Member Typedef Documentation

template<classCollectionType, classStringType = XalanDOMString, classFilterPredicateType = FilesOnlyFilterPredicate, classStringConversionFunction = c_wstr_functor>
typedef std::unary_function<StringType, CollectionType> DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction>::BaseClassType

template<classCollectionType, classStringType = XalanDOMString, classFilterPredicateType = FilesOnlyFilterPredicate, classStringConversionFunction = c_wstr_functor>
typedef BaseClassType::argument_type DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction>::argument_type

template<classCollectionType, classStringType = XalanDOMString, classFilterPredicateType = FilesOnlyFilterPredicate, classStringConversionFunction = c_wstr_functor>
typedef BaseClassType::result_type DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction>::result_type

## Constructor & Destructor Documentation

template<classCollectionType, classStringType = XalanDOMString, classFilterPredicateType = FilesOnlyFilterPredicate, classStringConversionFunction = c_wstr_functor>
DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction>::DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction> ( | bool fIncludeSelfAndParent = false )`[explicit]`

## Member Function Documentation

template<classCollectionType, classStringType = XalanDOMString, classFilterPredicateType = FilesOnlyFilterPredicate, classStringConversionFunction = c_wstr_functor>
result_type DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction>::operator() ( | const argument_type & theDirectory,
| const argument_type & theSearchSpec ) const`[]`

template<classCollectionType, classStringType = XalanDOMString, classFilterPredicateType = FilesOnlyFilterPredicate, classStringConversionFunction = c_wstr_functor>
void DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction>::operator() ( | const argument_type & theDirectory,
| const argument_type & theSearchSpec,
| CollectionType & theCollection ) const`[]`

template<classCollectionType, classStringType = XalanDOMString, classFilterPredicateType = FilesOnlyFilterPredicate, classStringConversionFunction = c_wstr_functor>
result_type DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction>::operator() ( | const argument_type & theFullSearchSpec ) const`[]`

template<classCollectionType, classStringType = XalanDOMString, classFilterPredicateType = FilesOnlyFilterPredicate, classStringConversionFunction = c_wstr_functor>
void DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction>::operator() ( | const argument_type & theDirectory,
| CollectionType & theCollection ) const`[]`

The documentation for this struct was generated from the following file:

- DirectoryEnumerator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.